Summary:	Ping/Traceroute network diagnostic tool
Name:		mtr
Version:	0.71
Release:	%mkrel 2
Group:		Networking/Other
License:	GPL
URL:		http://www.BitWizard.nl/mtr
Source0:	ftp://ftp.bitwizard.nl/mtr/%{name}-%{version}.tar.bz2
Patch0:		mtr-0.69-CVE-2002-0497.patch
BuildRequires:	ImageMagick
BuildRequires:	gtk-devel
#BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
Mtr is a network diagnostic tool which combines Ping and Traceroute into one
program. Mtr also has two interfaces: An ncurses interface, useful for using
Mtr from a telnet session and a Gtk interface if you are using X.

%package	gtk
Summary:	Ping/Traceroute network diagnostic tool - GTK Interface
Group:		Networking/Other
Requires:	mtr
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description	gtk
This is the Gtk interface for the mtr network diagnostic tool.

%prep

%setup -q
%patch0 -p1 -b .CVE-2002-0497

%build
export WANT_AUTOCONF_2_5=1
#rm -f configure
#rm -rf autom4te.cache
#libtoolize --copy --force && aclocal-1.7 && autoconf --force && autoheader
autoconf

%configure2_5x

%make && mv mtr xmtr && %make distclean

# mmm, broken configure script
#export GTK_CONFIG=/dev/null 
%configure2_5x \
    --without-gtk

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_menudir}

%makeinstall_std

# convert the icon
convert img/mtr_icon.xpm -size 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert img/mtr_icon.xpm -size 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert img/mtr_icon.xpm -size 48x48 %{buildroot}%{_liconsdir}/%{name}.png

install -m755 xmtr %{buildroot}%{_bindir}/

ln -s ../sbin/mtr %{buildroot}%{_bindir}/mtr

cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(xmtr-gtk): \
command="%{_bindir}/xmtr" \
icon="%{name}.png" \
title="Xmtr" \
longtitle="Ping/Traceroute network diagnostic tool" \
needs="X11" \
section="System/Monitoring" \
xdg="true"
EOF

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Xmtr
Comment="Ping/Traceroute network diagnostic tool"
Exec=%{_bindir}/xmtr
Icon=%{name}.png
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

%post gtk
%update_menus
%update_desktop_database
 
%postun gtk
%clean_menus
%clean_desktop_database

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING FORMATS INSTALL NEWS README SECURITY TODO
%attr(4755,root,ntools) %{_bindir}/mtr
%attr(4755,root,ntools) %{_sbindir}/mtr
%{_mandir}/*/*

%files gtk
%defattr(-,root,root)
%doc AUTHORS COPYING FORMATS INSTALL NEWS README SECURITY TODO
%attr(4755,root,ntools) %{_bindir}/xmtr
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/*.desktop


%changelog
* Wed Mar 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.71-2mdv2007.1
+ Revision: 147524
- Import mtr



* Wed Mar 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.71-2mdv2007.1
- use the %%mkrel macro
- bunzip patches
- fix the xdg menu stuff

* Sun Mar 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.71-1mdk
- 0.71
- dropped P0, another fix is in there

* Sun Feb 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.69-2mdk
- added P1 from fedora (fix for CVE-2002-0497)

* Wed Feb 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.69-1mdk
- 0.69

* Mon Dec 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.67-2mdk
- make it compile on amd64

* Mon Dec 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.67-1mdk
- 0.67

* Wed Nov 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.65-1mdk
- 0.65

* Fri Jun 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.58-1mdk
- 0.58
- use the %%configure2_5x macro
- misc spec file fixes

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.54-2mdk
- rebuild

* Sat Jun 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.54-1mdk
- 0.54
- patch0 now merged upstream

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.51-2mdk
- rebuild

* Wed Sep 11 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.51-1mdk
- updated to 0.51

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.44-1mdk
- updated to 0.44

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.42-2mdk
- rebuild

* Mon Nov 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.42-1mdk
- new in contribs
- mandrakized
- add menu

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- fix group

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul  6 2000 Bill Nottingham <notting@redhat.com>
- fix setuid bit
- remove symlink
- force build of non-gtk version

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- disable SUID bits
- desktop entry

* Mon Jun 19 2000 Than Ngo <than@redhat.de>
- FHS fixes

* Fri May 26 2000 Preston Brown <pbrown@redhat.com>
- adopted for Winston

* Thu Aug 19 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.41-1]
- Added afr's patch to allow disabeling of gtk without Robn's hack. 
- Made report mode report the newly added extra resolution. 

* Wed Aug 18 1999 Ryan Weaver <ryanw@infohwy.com>
- renamed mtr-gtk to xmtr
- added symlink from /usr/bin/mtr to /usr/sbin/mtr

  [mtr-0.40-1]
- Fixed some problems with HPUX and SunOS.
- Included Olav Kvittem's patch to do packetsize option.
- Made the timekeeping in micro seconds.

* Wed Jun 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.39-1]
- Updated to version 0.39.

* Wed Jun  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.38-1]
- Updated to version 0.38.

* Thu Apr 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.37-2]
- Changed RPM headers to conform to Red Hat Contrib|Net specs.

* Mon Apr 12 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.37-1]
- v0.37
- Added Bill Bogstad's "show the local host & time" patch. 
- Added R. Sparks' show-last-ping patch, submitted by Philip Kizer.

- v0.36
- Added Craigs change-the-interval-on-the-fly patch.
- Added Moritz Barsnick's "do something sensible if host not found" 
  patch.
- Some cleanup of both Craigs and Moritz' patches.

* Wed Apr  7 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.35-1]
- v0.35
- Added Craig Milo Rogers pause/resume for GTK patch.
- Added Craig Milo Rogers cleanup of "reset". (restart at the beginning)
- Net_open used to send a first packet. After that the display-driver
  got a chance to distort the timing by taking its time to initialize.

* Mon Apr  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.34-1]
- v0.34
- Added Matt's nifty "use the icmp unreachables to do the timing" patch.
- Added Steve Kann's pause/resume patch.

* Wed Mar 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.33-1]
- v0.33
- Fixed the Linux glibc resolver problems.
- Fixed the off-by-one problem with -c option.

* Mon Mar  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.32-1]
- v0.32
- Fixed the FreeBSD bug detection stuff.

* Fri Mar  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.31-1]
- v0.31
- Fixed a few documentation issues. -- Matt
-  Changed the autoconf stuff to find the resolver library on
     Solaris. -- REW
-  Cleaned up the autoconf.in file a bit. -- Matt.

* Thu Mar  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.30-1]
- Build gtk version against gtk+-1.2.0
- v0.30
- Fixed a typo in the changelog (NEWS) entry for 0.27. :-)
- added use of "MTR_OPTIONS" environment variable for defaults.
